
How to build OpenCascade 6.2 for Gmsh:

- get the linux (source) distribution of occ

- if you're using Cygwin/Mingw32 (Windows) define

  export CC="gcc -mno-cygwin -DWNT=1 -DWIN32 -DHAVE_NO_DLL"
  export CXX="g++ -mno-cygwin -DWNT=1 -DWIN32 -DHAVE_NO_DLL"

- go to the ros/ directory and type

  ./configure --prefix=/usr/local/opencascade --enable-debug=no 
    --enable-production=yes --enable-static=yes --enable-shared=no
    --disable-dependency-tracking

- then go to the adm/make/ directory and run

    for lib in TKernel TKMath TKAdvTools TKG2d TKG3d TKGeomBase TKBRep 
      TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR TKMesh TKShHealing TKBool 
      TKFillet TKFeat TKOffset TKXSBase TKIGES TKSTEPBase TKSTEPAttr 
      TKSTEP209 TKSTEP; do
        cd $lib && make; cd ..;
    done

    (This is the same as doing 
        make FoundationClasses
        make ModelingData
        make ModelingAlgorithms
    and part of
        make DataExchange)

- and finally do

    for lib in TKernel TKMath TKAdvTools TKG2d TKG3d TKGeomBase TKBRep 
      TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR TKMesh TKShHealing TKBool 
      TKFillet TKFeat TKOffset TKXSBase TKIGES TKSTEPBase TKSTEPAttr 
      TKSTEP209 TKSTEP; do
        cd $lib && make install; cd ..;
    done

    and copy config.h and inc/ to /usr/local/opencascade (This is the 
    same as a doing a partial 'make install')

